'' SDL2-Example program:
'' Print out all the scancodes we have, just to verify them
'' translated by TJF 2013
'/*
  'Copyright (C) 1997-2013 Sam Lantinga <slouken@libsdl.org>

  'This software is provided 'as-is', without any express or implied
  'warranty.  In no event will the authors be held liable for any damages
  'arising from the use of this software.

  'Permission is granted to anyone to use this software for any purpose,
  'including commercial applications, and to alter it and redistribute it
  'freely.
'*/

#INCLUDE ONCE "SDL2/SDL2.bi"

'/* Enable standard application logging */
SDL_LogSetPriority(SDL_LOG_CATEGORY_APPLICATION, SDL_LOG_PRIORITY_INFO)

IF SDL_Init(SDL_INIT_VIDEO) < 0 THEN
    SDL_LogError(SDL_LOG_CATEGORY_APPLICATION, !"Couldn't initialize SDL: %s\n", SDL_GetError())
    END 1
END IF
FOR scancode AS SDL_Scancode = 0 TO SDL_NUM_SCANCODES - 1
    SDL_Log(!"Scancode #%d, ""%s""\n", scancode, _
           SDL_GetScancodeName(scancode))
NEXT
SDL_Quit()
